# Uses of Interface
org.eclipse.e4.ui.model.application.ui.basic.MTrimmedWindow

Packages that use MTrimmedWindow
Package
Description
org.eclipse.e4.ui.model.application.ui.basic
Application programming interfaces describing the basic Eclipse 4 user interface model elements.
org.eclipse.e4.ui.model.application.ui.basic.impl
org.eclipse.e4.ui.model.application.ui.basic.util
org.eclipse.e4.ui.workbench.modeling
Application programming interfaces describing the Eclipse 4 model services.
org.eclipse.ui.internal

## Uses of MTrimmedWindow in org.eclipse.e4.ui.model.application.ui.basic

Methods in org.eclipse.e4.ui.model.application.ui.basic that return MTrimmedWindow
Modifier and Type
Method
Description
`MTrimmedWindow`
MBasicFactory.`createTrimmedWindow()`
Returns a new object of class 'Trimmed Window'.

## Uses of MTrimmedWindow in org.eclipse.e4.ui.model.application.ui.basic.impl

Classes in org.eclipse.e4.ui.model.application.ui.basic.impl that implement MTrimmedWindow
Modifier and Type
Class
Description
`class`
`TrimmedWindowImpl`
An implementation of the model object 'Trimmed Window'.
Methods in org.eclipse.e4.ui.model.application.ui.basic.impl that return MTrimmedWindow
Modifier and Type
Method
Description
`MTrimmedWindow`
BasicFactoryImpl.`createTrimmedWindow()`

## Uses of MTrimmedWindow in org.eclipse.e4.ui.model.application.ui.basic.util

Methods in org.eclipse.e4.ui.model.application.ui.basic.util with parameters of type MTrimmedWindow
Modifier and Type
Method
Description
`T1`
BasicSwitch.`caseTrimmedWindow(MTrimmedWindow object)`
Returns the result of interpreting the object as an instance of 'Trimmed Window'.

## Uses of MTrimmedWindow in org.eclipse.e4.ui.workbench.modeling

Methods in org.eclipse.e4.ui.workbench.modeling with parameters of type MTrimmedWindow
Modifier and Type
Method
Description
`MTrimBar`
EModelService.`getTrim(MTrimmedWindow window, SideValue sv)`
Returns the window's MTrimBar for the specified side.

## Uses of MTrimmedWindow in org.eclipse.ui.internal

Constructors in org.eclipse.ui.internal with parameters of type MTrimmedWindow
Modifier
Constructor
Description
``
`CoolBarToTrimManager(MApplication app, MTrimmedWindow window, List<MTrimElement> workbenchTrimElements, IRendererFactory rf)`